:root {
    --text-shadow-default:
        0.02rem 0.02rem 0 black,
        0.02rem -0.02rem 0 black,
        -0.02rem -0.02rem 0 black,
        0.02rem 0 0 black,
        -0.02rem 0 0 black,
        0 0.02rem 0 black,
        0 -0.02rem 0 black;
}
.pop-wrapper {
    width: 100vw;
    height: 100vh;
    background: url(../img/pop/pop_bj.png) no-repeat center center;
    background-size: 100% 100%;
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    top: 0;
    z-index: 999;
    overflow-y: auto;
    overflow-x: hidden;
    -webkit-overflow-scrolling: touch; /* iOS 平滑滚动 */
}
.pop-content {
    width: 7rem;
    height: auto;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.pop-close {
    width: 0.44rem;
    height: 0.44rem;
    background: url(../img/pop/close.png) no-repeat center center;
    background-size: 100% 100%;
    position: absolute;
    top: -0.55rem;
    right: 0.54rem;
    cursor: pointer;
}

/* 规则弹窗 */
.rules-pop-content {
    width: 7.5rem;
    height: 9.01rem;
    background: url(../img/pop/pop_rulebox.png) no-repeat center center;
    background-size: 100% 100%;
    padding: 1.23rem 1.29rem 1.2rem 1.45rem;
    box-sizing: border-box;
}
.rules-pop-content-box {
    width: 100%;
    height: 100%;
    padding: 0 0.2rem;
    box-sizing: border-box;
    font-weight: 500;
    font-size: 0.22rem;
    color: #000;
    overflow: auto;
    word-wrap: break-word;
    word-break: break-all;
}
.rules-pop-content-box_item {
    margin-bottom: 0.1rem;
}
.rules-pop-content-box_item_title {
    font-weight: bold;
    font-size: 0.26rem;
    color: #000;
    margin-bottom: 0.05rem;
}
.rules-pop-content-box_item_specialTitle {
    color: #2ed7ff;
    margin-bottom: 0.05rem;
}
.rules-pop-content-box_item_text {
    line-height: 1.7;
}
.rules-pop-content-box_item_text_red {
    color: #F2E449;
}
.rules-pop-content-box_item_table_head {
    display: flex;
    align-items: center;
}
.rules-pop-content-box_item_table_head span {
    text-align: center;
    display: block;
    background-color: rgb(209, 255, 255);
    width: 2.7rem;
    height: 0.5rem;
    line-height: 0.5rem;
    border: 0.01rem solid #DEC068;
    border-right: none;
    border-bottom: none;
}
.rules-pop-content-box_item_table_head span:nth-child(3) {
    border-right: 0.01rem solid #DEC068;
}
.rules-pop-content-box_item_table_data {
    display: flex;
    align-items: center;
}
.rules-pop-content-box_item_table_data span {
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 2.7rem;
    height: 1.1rem;
    line-height: 1.2;
    border: 0.01rem solid #DEC068;
    border-right: none;
    border-bottom: none;
}
.rules-pop-content-box_item_table_data:last-child span {
    border-bottom: 0.01rem solid #DEC068;
}
.rules-pop-content-box_item_table_data span:nth-child(3) {
    border-right: 0.01rem solid #DEC068;
}

/* 登录账号弹窗 */
.login-pop-content {
    width: 7.5rem;
    height: 5.22rem;
    background: url(../img/pop/pop_loginbox.png) no-repeat center center;
    background-size: 100% 100%;
    padding: 1.13rem 1.4rem 1rem;
    box-sizing: border-box;
}
.login-pop-content-box-inputBox {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.login-pop-content-box-inputBox-item {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 0.2rem;
}
.login-pop-inputBox {
    width: 4.27rem;
    height: 0.48rem;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-left: 1.5rem;
    box-sizing: border-box;
}
.login-pop-input {
    display: block;
    width: 100%;
    height: 0.4rem;
    padding: 0 0.3rem;
    box-sizing: border-box;
    font-weight: 500;
    font-size: 0.2rem;
    color: #2D2D2D;
}
.login-pop-input::placeholder {
    font-weight: 500;
    font-size: 0.2rem;
    color: #2D2D2D;
    opacity: 0.47;
}
.login-pop-phoneInputBox {
    background: url(../img/pop/pop_phone.png) no-repeat center center;
    background-size: 100% 100%;
}
.login-pop-captchaInputBox {
    background: url(../img/pop/pop_code.png) no-repeat center center;
    background-size: 100% 100%;
}
.login-pop-userNameInputBox {
    background: url(../img/pop/pop_username.png) no-repeat center center;
    background-size: 100% 100%;
}
.login-pop-passwordInputBox {
    background: url(../img/pop/pop_password.png) no-repeat center center;
    background-size: 100% 100%;
}
/* .login-pop-content-box-inputBox-longInputBox-label,
.login-pop-content-box-inputBox-shortInputBox-label {
    width: 1.8rem;
    font-size: 0.37rem;
    font-weight: 800;
    color: #fff;
    text-align: center;
} */
/* .login-pop-content-box-inputBox-longInputBox-input,
.login-pop-content-box-inputBox-shortInputBox-input {
    width: 100%;
    height: 100%;
    flex: 1;
    padding: 0 0.3rem;
    box-sizing: border-box;
    font-size: 0.2rem;
    color: #2D2D2D;
} */
.login-pop-captchaInputBox-captchaBtn {
    flex-shrink: 0;
    width: 0.81rem;
    height: 0.49rem;
    background: url(../img/pop/pop_codebtn.png) no-repeat center center;
    background-size: 100% 100%;
    cursor: pointer;
}
.login-pop-captchaInputBox-countdownTimeBtn {
    flex-shrink: 0;
    width: 0.81rem;
    height: 0.49rem;
    background: url(../img/pop/pop_codebtn1.png) no-repeat center center;
    background-size: 100% 100%;
    cursor: pointer;
    text-align: center;
    font-weight: 500;
    font-size: 0.2rem;
    line-height: 0.47rem;
    color: #000;
    text-shadow: var(--text-shadow-white);
}
.login-pop-content-box-agreementBox {
    width: 100%;
    height: 0.24rem;
    line-height: 0.24rem;
    background: url(../img/pop/pop_agreement.png) no-repeat center center;
    background-size: 100% 100%;
    font-size: 0.18rem;
    color: #000;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 0.2rem;
}
.login-pop-content-box-agreementBox-chooseAgreement {
    width: 0.3rem;
    height: 0.24rem;
    background: url(../img/pop/pop_selected.png) no-repeat center center;
    background-size: 100% 100%;
    margin-right: 0.05rem;
    cursor: pointer;
}
.login-pop-content-box-agreementBox-chooseAgreement-active {
    background: url(../img/pop/pop_selected1.png) no-repeat center center;
    background-size: 100% 100%;
}
.login-pop-content-box-agreementBox-chooseAgreement-link {
    font-weight: bold;
    color: #000;
    cursor: pointer;
    text-decoration: underline;
    text-underline-offset: 0.05rem;
}
.login-pop-content-box-loginBtn {
    width: 2.53rem;
    height: 0.66rem;
    background: url(../img/pop/pop_login.png) no-repeat center center;
    background-size: 100% 100%;
    margin: 0 auto 0.2rem;
    cursor: pointer;
}
.login-pop-content-box-linkBox {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.login-pop-content-box-linkBox-one {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 2.5rem;
    margin: 0 auto;
}
.login-pop-content-box-linkBox-content {
    display: flex;
    align-items: center;
    justify-content: center;
}
.login-pop-content-box-linkBox-link {
    display: block;
    font-size: 0.22rem;
    color: #000;
    margin: 0 0.1rem;
    cursor: pointer;
    text-decoration: underline;
    text-underline-offset: 0.05rem;
}
.login-pop-content-box-linkBox-accountLoginBtn {
    cursor: pointer;
    font-size: 0.22rem;
    color: #000;
    text-align: center;
    text-decoration: underline;
    text-underline-offset: 0.05rem;
    margin-right: 0.1rem;
}

/* 当前账号信息弹窗 */
.currentAccountInfo-pop-content {
    width: 7.5rem;
    height: 5.22rem;
    background: url(../img/pop/pop_account.png) no-repeat center center;
    background-size: 100% 100%;
}
.currentAccountInfo-pop-content-box {
    width: 100%;
    padding: 0 1.6rem;
    box-sizing: border-box;
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translateX(-50%);
}
.currentAccountInfo-pop-content-box-text {
    white-space: wrap;
    word-break: break-all;
    font-weight: 500;
    font-size: 0.4rem;
    color: #000;
    text-shadow: var(--text-shadow-white);
}
.currentAccountInfo-pop-content-box-btn {
    width: 2.53rem;
    height: 0.66rem;
    background: url(../img/pop/pop_btn3.png) no-repeat center center;
    background-size: 100% 100%;
    cursor: pointer;
    position: absolute;
    bottom: 1.1rem;
    left: 50%;
    transform: translateX(-50%);
}

/* 助力成功弹窗 */
.assistSuccess-pop-content {
    width: 7.5rem;
    height: 5.22rem;
    background: url(../img/pop/pop_prompt.png) no-repeat center center;
    background-size: 100% 100%;
    padding: 2rem 0 0;
    box-sizing: border-box;
}
.assistSuccess-pop-content-box-textBox {
    width: 100%;
    height: 100%;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin-bottom: 0.6rem;
}
.assistSuccess-pop-content-box-textBox-text {
    font-weight: bold;
    font-size: 0.5rem;
    color: #000;
    text-shadow: var(--text-shadow-white);
}
.assistSuccess-pop-content-box-btn {
    width: 2.53rem;
    height: 0.66rem;
    background: url(../img/pop/pop_btn5.png) no-repeat center center;
    background-size: 100% 100%;
    cursor: pointer;
    margin: 0 auto;
}

/* 背包/奖励弹窗 */
.backpack-pop-content {
    width: 7.5rem;
    height: 8.95rem;
    background: url(../img/pop/pop_prizebox.png) no-repeat center center;
    background-size: 100% 100%;
    padding: 1.2rem 1.5rem 1.12rem;
    box-sizing: border-box;
}
.backpack-pop-content-tabBox {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 4.1rem;
    margin: 0 auto 0.3rem;
}
.backpack-pop-content-tabBox-item {
    position: relative;
    width: 1.86rem;
    height: 0.53rem;
    cursor: pointer;
}
.backpack-pop-content-tabBox-virtualReward {
    background: url(../img/pop/pop_prop.png) no-repeat center center;
    background-size: 100% 100%;
}
.backpack-pop-content-tabBox-physicalReward {
    background: url(../img/pop/pop_periphery.png) no-repeat center center;
    background-size: 100% 100%;
}
.backpack-pop-content-tabBox-item-redDot {
    width: 0.64rem;
    height: 0.64rem;
    background: url(../img/red_dot1.png) no-repeat center center;
    background-size: 100% 100%;
    position: absolute;
    top: -0.35rem;
    right: -0.32rem;
}
.backpack-pop-content-listTitle {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-bottom: 0.2rem;
    box-sizing: border-box;
    margin-bottom: 0.25rem;
    border-bottom: 0.03rem solid #000;
    font-weight: bold;
    font-size: 0.3rem;
    color: #000;
    text-align: center;
    text-shadow: var(--text-shadow-white);
}
.backpack-pop-content-listTitle-checkRoleBtn {
    font-size: 0.25rem;
    cursor: pointer;
    text-decoration: underline;
    text-underline-offset: 0.05rem;
}
.backpack-pop-content-listTitle-checkRoleBtn-hidden {
    visibility: hidden;
    pointer-events: none;
}
.backpack-pop-content-listBox {
    width: 100%;
    height: 4rem;
    padding: 0 0.1rem;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    overflow-y: auto;
    margin-bottom: 0.2rem;
}
.backpack-pop-content-listBox-item {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 0.2rem;
}
.backpack-pop-content-listBox-item-rewardName1 {
    display: block;
    width: 28%;
    font-weight: 500;
    font-size: 0.2rem;
    color: #000;
    text-align: left;
    text-shadow: var(--text-shadow-white);
}
.backpack-pop-content-listBox-item-rewardName2 {
    display: block;
    width: 50%;
    font-weight: 500;
    font-size: 0.2rem;
    color: #000;
    text-shadow: var(--text-shadow-white);
    text-align: left;
}
.backpack-pop-content-listBox-item-time {
    font-weight: 500;
    font-size: 0.2rem;
    color: #000;
    text-align: center;
    text-shadow: var(--text-shadow-white);
}
.backpack-pop-content-listBox-item-btn {
    display: block;
    width: 0.84rem;
    height: 0.41rem;
    background: url(../img/pop/pop_claim1.png) no-repeat center center;
    background-size: 100% 100%;
    cursor: pointer;
}
.backpack-pop-content-listBox-item-btn-completed {
    display: block;
    width: 0.84rem;
    height: 0.41rem;
    background: url(../img/pop/pop_claim2.png) no-repeat center center;
    background-size: 100% 100%;
}
.backpack-pop-content-updateAddressBtn {
    width: 2.53rem;
    height: 0.66rem;
    background: url(../img/pop/pop_btn1.png) no-repeat center center;
    background-size: 100% 100%;
    cursor: pointer;
    margin: 0 auto;
}

/* 地址填写弹窗 */
.address-pop-content {
    width: 7.5rem;
    height: 5.22rem;
    background: url(../img/pop/pop_address.png) no-repeat center center;
    background-size: 100% 100%;
    padding: 1.2rem 1.6rem 0.8rem;
    box-sizing: border-box;
}
.address-pop-content-box_item {
    width: 4.27rem;
    height: 0.49rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 0.1rem;
    padding-left: 1.5rem;
    box-sizing: border-box;
}
.address-pop-content-box_item-addressName {
    background: url(../img/pop/pop_input1.png) no-repeat center center;
    background-size: 100% 100%;
}
.address-pop-content-box_item-addressPhoneNumber {
    background: url(../img/pop/pop_input2.png) no-repeat center center;
    background-size: 100% 100%;
}
.address-pop-content-box_item-area {
    background: url(../img/pop/pop_input3.png) no-repeat center center;
    background-size: 100% 100%;
}
.address-pop-content-box_item-address {
    background: url(../img/pop/pop_input4.png) no-repeat center center;
    background-size: 100% 100%;
}
/* .address-pop-label {
    width: 1.8rem;
    font-weight: 800;
    font-size: 0.37rem;
    color: #FFFFFF;
    text-align: center;
} */
.address-pop-value {
    width: 100%;
    height: 100%;
    flex: 1;
    padding: 0 0.3rem 0 0.2rem;
    box-sizing: border-box;
    font-size: 0.2rem;
    line-height: 0.48rem;
    color: #000;
}
/* .address-pop-content-box-detailAddress {
    width: 100%;
    padding: 0 0.2rem;
    box-sizing: border-box;
    font-size: 0.35rem;
    color: #FFFFFF;
    margin-bottom: 0.6rem;
    display: flex;
}
.address-pop-content-box-detailAddress-label {
    width: 2rem;
}
.address-pop-content-box-detailAddress-value {
    flex: 1;
    max-height: 2rem;
    overflow-y: auto;
} */
.address-pop-content-box-btnBox {
    width: 2.53rem;
    height: 0.66rem;
    background: url(../img/pop/pop_btn4.png) no-repeat center center;
    background-size: 100% 100%;
    cursor: pointer;
    margin: 0 auto;
}

/* 选择角色弹窗 */
.roleList-pop-content {
    width: 7.5rem;
    height: 8.95rem;
    background: url(../img/pop/pop_character.png) no-repeat center center;
    background-size: 100% 100%;
    padding: 1.2rem 1.4rem 1.8rem;
    box-sizing: border-box;
}
.roleList-pop-content-box {
    width: 100%;
    height: 100%;
    background: rgba(50, 50, 50, 0.64);
    border-radius: 0.1rem;
    overflow-y: auto;
    padding: 0.15rem;
    box-sizing: border-box;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(auto-fill, 3.3rem);
    grid-gap: 0.2rem;
    align-items: flex-start;
    justify-content: space-between;
}
.roleList-pop-content-box_item {
    width: 100%;
    background: #B4B4B4;
    border-radius: 0.25rem;
    margin: 0 auto 0.1rem;
    padding: 0.1rem 0.1rem 0.1rem 0.26rem;
    box-sizing: border-box;
    cursor: pointer;
}
.roleList-pop-content-box_item_active {
    background: linear-gradient(135deg, #f7c08a 0%, #FFB57F 100%);
}
.roleList-pop-content-box_item_name {
    font-size: 0.25rem;
    color: #fff;
    text-shadow: var(--text-shadow-default);
    margin-bottom: 0.1rem;
}
.roleList-pop-content-box_item_line {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-bottom: 0.1rem;
}
.roleList-pop-content-box_item_line_label {
    font-size: 0.25rem;
    color: #fff;
    text-shadow: var(--text-shadow-default);
    margin-bottom: 0.1rem;
}
.roleList-pop-content-box_item_line_text {
    width: 85%;
    height: 0.4rem;
    line-height: 0.4rem;
    background: #706C65;
    border-radius: 0.2rem;
    font-size: 0.2rem;
    color: #FFFFFF;
    text-shadow: var(--text-shadow-default);
    padding-left: 0.2rem;
}
.roleList-pop-content-btn {
    width: 2.53rem;
    height: 0.66rem;
    background: url(../img/pop/pop_btn4.png) no-repeat center center;
    background-size: 100% 100%;
    cursor: pointer;
    position: absolute;
    bottom: 1rem;
    left: 50%;
    transform: translateX(-50%);
    z-index: 100;
}
.roleList-pop-content-btn-img {
    width: 100%;
    height: 100%;
}

/* 角色信息提示弹窗 */
.roleInfo-pop-content {
    width: 7.5rem;
    height: 5.22rem;
    background: url(../img/pop/pop_prompt.png) no-repeat center center;
    background-size: 100% 100%;
    padding: 1.1rem 1.6rem 1.1rem;
    box-sizing: border-box;
}
.roleInfo-pop-content-box_title {
    font-size: 0.35rem;
    color: #000;
    text-shadow: var(--text-shadow-white);
    text-align: center;
    margin-bottom: 0.2rem;
}
.roleInfo-pop-content-box_item {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 0.25rem;
    margin-bottom: 0.1rem;
}
.roleInfo-pop-content-box_item_label {
    width: 50%;
    color: #000;
    text-shadow: var(--text-shadow-white);
    text-align: right;
    margin-right: 0.2rem;
}
.roleInfo-pop-content-box_item_text {
    flex: 1;
    white-space: wrap;
    word-break: break-all;
    font-weight: bold;
    color: #ff6619;
}
.roleInfo-pop-content-box_confirmBtn {
    width: 2.53rem;
    height: 0.66rem;
    background: url(../img/pop/pop_btn4.png) no-repeat center center;
    background-size: 100% 100%;
    cursor: pointer;
    position: absolute;
    bottom: 1rem;
    left: 50%;
    transform: translateX(-50%);
}

/* 一键加群弹窗 */
.addGroup-pop-content {
    width: 7.5rem;
    height: 5.16rem;
    background: url(../img/pop/pop_joinbox.png) no-repeat center center;
    background-size: 100% 100%;
}

/* 分享弹窗 */
.share-pop-content {
    width: 7.5rem;
    /* height: 16.58rem; */
    position: absolute;
    top: 1rem;
    left: 50%;
    transform: translateX(-50%);
    padding-bottom: 2.2rem; /* 为底部操作栏预留空间 */
}
.share-pop-close {
    top: -0.1rem;
}
.share-pop-copy {
    width: 2.53rem;
    height: 0.66rem;
    background: url(../img/pop/pop_btn2.png) no-repeat center center;
    background-size: 100% 100%;
    position: absolute;
    bottom: 0.8rem;
    left: 50%;
    transform: translateX(-50%);
    cursor: pointer;
}
.share-pop-content-box-tips {
    width: 7.5rem;
    font-size: 0.35rem;
    font-weight: bold;
    text-shadow: var(--text-shadow-white);
    color: #000;
    text-align: center;
    letter-spacing: 0.2em;
    position: absolute;
    bottom: 1.6rem;
    left: 50%;
    transform: translateX(-50%);
}
.share-pop-content-box {
    visibility: hidden;
    position: relative;
}
.share-pop-content-box-userInfo {
    width: 3.43rem;
    height: 0.38rem;
    display: flex;
    /* flex-direction: column; */
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 1.58rem;
    left: 1.05rem;
    font-size: 0.21rem;
    color: #fff;
    text-align: center;
}
.share-pop-content-box-userNum {
    display: block;
    width: 50%;
}
.share-pop-content-box-userName {
    display: block;
    width: 50%;
    color: #000;
}
#qrcode-container {
    width: 1.52rem;
    height: 1.52rem;
    padding: 0.05rem;
    box-sizing: border-box;
    border-radius: 0.1rem;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #fff;
    position: absolute;
    bottom: 0.94rem;
    right: 1.11em;
}
#qrcode-container img {
    max-width: 100%;
    max-height: 100%;
}
.share-pop-content-box {
    width: 100%;
    height: 100%;
}
.share-pop-content-generatedImage {
    width: 100%;
    height: 100%;
    display: block;
}
